wxMoveEvent(3)

NAME
wxMoveEvent - A move event holds information about window position change.

DESCRIPTION

These events are currently generated for top level (see wxTopLevelWindow) windows in all ports, but are not generated for the child windows in wxGTK.

See:

    • {X,Y}

    • Overview events

This class is derived, and can use functions, from:

    • wxEvent

wxWidgets docs: wxMoveEvent

  Events

Use wxEvtHandler:connect/3 with wxMoveEventType to subscribe to events of this type.

DATA TYPES

wxMove() :: #wxMove{}.
wxMoveEvent() :: wx:wx_object().
wxMoveEventType() :: move.

FUNCTIONS

getPosition(This) -> {X :: integer(), Y :: integer()} when This :: wxMoveEvent().

    Returns the position of the window generating the move change event.
getRect(This) -> {X :: integer(), Y :: integer(), W :: integer(), H :: integer()} when This :: wxMoveEvent().